Retrieve supported Kafka versions
Returns the list of Kafka versions that this deployment currently advertises as available for new clusters.
The token can be generated using the Authentication API.
Returned the supported Kafka versions successfully.
Kafka versions advertised as available for new clusters.
4.0.0Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /versions HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
"3.9.0",
"3.9.1"
]Last updated
Was this helpful?